using UnityEngine;
using System.Collections;

[RequireComponent(typeof(Light))]
public class ObjectOcclusionLight : MonoBehaviour
{
    private Light m_light;

    private void Awake()
    {
        m_light = GetComponent<Light>();

        if(m_light.type != LightType.Point)
        {
            Debug.LogError("Fix your fucking prefab lights");
        }
    }

    private void Start()
    {
        ObjectOcclusion.Instance.AddLight(m_light);
    }
}
